futhark-0.25.27: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.Doc.Generator

Description

The core logic of `futhark doc`.

Synopsis

- renderFiles :: [ImportName] -> Imports -> ([(FilePath, Html)], Warnings)

# Documentation

renderFiles :: [ImportName] -> Imports -> ([(FilePath, Html)], Warnings) Source #

`renderFiles important_imports imports` produces HTML files documenting the type-checked program `imports`, with the files in `important_imports` considered most important. The HTML files must be written to the specific locations indicated in the return value, or the relative links will be wrong.